
CoCoA-5 - Feature #978

CommonDenom: for polys and lists?

21 Nov 2016 14:32 - John Abbott

Status: Closed Start date: 21 Nov 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 1.01 hour

Target version: CoCoA-5.2.4 Spent time: 0.55 hour

Description

Should there be a function called CommonDenom (or something similar)?

For polynomials?  For lists of polynomials?

Related issues:

Related to CoCoA-5 - Support #977: "universal denominator" (related with Groe... In Progress 17 Nov 2016

History

#1 - 21 Nov 2016 14:34 - John Abbott

In fact there is already an undocumented builtin fn called CommonDenom, but only for RINGELEM.  The fn also exists in CoCoALib (and is

documented there).

What are the exact semantics?  And what should they be?

Should the fn be extended to lists of RINGELEM?  (also in CoCoALib?)

#2 - 21 Nov 2016 14:34 - John Abbott

- Related to Support #977: "universal denominator" (related with GroebnerFanIdeals) added

#3 - 21 Nov 2016 14:41 - John Abbott

Some aspects to consider when deciding the semantics:

we may assume that the result is positive (if coeffs in QQ)

defn is clear in QQ[x,y,z]

should it also work for QQ[a,b][x,y,z]?

should it also work for QQ(a,b)[x,y,z]  or  FrF(ZZ[a,b])[x,y,z]

should it work for an element of QQ or even of ZZ?

If we make it work for lists of RINGELEM, should it be recursive (e.g. so it would work for list of list of RINGELEM)?

#4 - 26 Apr 2017 17:18 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

We are going to work on this, better postpone this.
#5 - 15 Nov 2017 17:36 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4

Work on "ideals mod p" still in progress.

Postpone to next version.

#6 - 14 Jun 2018 17:11 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

This appears already to have been done (and documented).

Feedback?  Close?

#7 - 30 Jul 2018 14:28 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- Assignee set to John Abbott

- % Done changed from 80 to 100

- Estimated time set to 1.01 h
